{% extends 'base.html.twig' %}

{% block title %}Erreur 500{% endblock %}

{% block content %}
    <div class="container py-2 py-lg-4">
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="/"><i class="fa fa-home"></i></a></li>
                <li class="breadcrumb-item active" aria-current="page">Erreur interne du serveur</li>
            </ol>
        </nav>
    </div>

    <div class="container-fluid container-lg my-4">
        <div class="row">
            <div class="col-12">
                <h1 class="mb-3"><i class="fa fa-bug mr-2 text-primary"></i> Erreur {{ status_code }} -  {{ status_text }}</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12">
                <p class="lead">
                    Une erreur est survenue empêchant l'accès à la page demandée. Veuillez transmettre les informations ci-dessous à Quentin.
                </p>

                <a class="btn btn-lg btn-primary" href="{{ path('app_homepage') }}">
                    <i class="bi bi-house me-2"></i>
                    Retour à l'accueil
                </a>
            </div>
        </div>

        <div class="row my-5 overflow-auto">
            <div class="col-12 overflow-x-auto">
                <div class="h3 text-danger">{{ exception.message }}</div>

                <ul class="list-group list-group-flush">
                    <li class="list-group-item"><i class="fa fa-file-code mr-4 text-danger"></i> {{ exception.file }}</li>
                    <li class="list-group-item"><i class="fa fa-terminal mr-4 text-danger"></i> {{ exception.line }}</li>
                </ul>

                {% for trace in exception.trace %}
                    <div class="my-1">
                        {{ '%s at line %s : %s%s%s()'|format(trace.file, trace.line, trace.class, trace.type, trace.function) }}
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}
